# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "oersted"
version = "0.2.0"
authors = ["Ryan Etkins <retkins@pm.me>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Lightning-fast magnetic fields calculations"
homepage = "https://retkins.github.io/oersted/"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/retkins/oersted/"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--html-in-header",
    "src/docs-header.html",
    "--cfg",
    "docsrs",
]

[features]
default = []
parallel = ["rayon"]
python = [
    "dep:numpy",
    "dep:pyo3",
    "parallel",
]

[lib]
name = "oersted"
crate-type = ["cdylib"]
path = "src/lib.rs"

[dependencies.numpy]
version = "0.28.0"
optional = true

[dependencies.pyo3]
version = "0.28.2"
features = [
    "extension-module",
    "abi3-py310",
    "generate-import-lib",
]
optional = true

[dependencies.rayon]
version = "1.11.0"
optional = true

[profile.release]
opt-level = 3
lto = "fat"
codegen-units = 1

[profile.test]
opt-level = 3
